Page MenuHomePhabricator

Adjust variable formatting table
ClosedPublic

Authored by lubgr on Jun 26 2019, 4:00 AM.

Details

Summary

While the in-place hints on valid formats are up to date (e.g. when choosing an invalid format expr -f nonExisting -- 42), the corresponding online docs table is not. The formats "address", "hex float", "instruction" and "void" are missing, and "decimal" refers to an outdated abbreviation 'i' instead of 'd'.

Event Timeline

lubgr created this revision.Jun 26 2019, 4:00 AM
lubgr added a comment.Jul 12 2019, 4:04 AM

Gentle ping...

jingham accepted this revision.Jul 12 2019, 3:58 PM

That looks good.

Note that the "address" format does more than show symbol/file/line offset, it will also print the string for addresses that point into the string pool. Might be worth mentioning that.

This revision is now accepted and ready to land.Jul 12 2019, 3:58 PM

Lukas, do you have commit access or do you need one of us to land this for you?

lubgr updated this revision to Diff 210278.Jul 17 2019, 2:53 AM

I updated the description of the address format, is it appropriate? And I can't commit that myself, so thanks in advance for doing so when it's ready.

JDevlieghere accepted this revision.Jul 17 2019, 12:42 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 17 2019, 12:49 PM